%define name hotssh
%define version 0.2.6
%define release 1

Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %release

Summary:	GNOME interface to Secure Shell
Source0: 	%{name}-%{version}.tar.bz2
URL: 		http://projects.gnome.org/hotssh/
Group: 		Networking/Remote access
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: 	GPL
BuildArch:	noarch
Requires: 	python >= 2.4
Requires: 	pygtk2.0
Requires:	openssh
BuildRequires: 	python >= 2.4

%description
 HotSSH is an interface to Secure Shell, for GNOME and OpenSSH. It intends to be a better experience than simply invoking "ssh" from an existing terminal window.

    * Fast search-based interface for new connections
    * Also display and search of local (Avahi) SSH servers
    * Tabbed display with automatic session saving (Firefox style)
    * Status bar with information like latency to server and output of remote uptime
    * Close integration with OpenSSH features like connection sharing (near-instant new tabs)
    * NetworkManager integration to easily reconnect after a network change, great for laptops

%prep
rm -rf $RPM_BUILDROOT
%setup -q -n %{name}-%{version}

python ./waf configure --prefix=/usr
python ./waf
python ./waf install --destdir=$RPM_BUILD_ROOT

#Icons install section for future use
#%__mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
#cp ${RPM_BUILD_ROOT}%{_libdir}/python2.5/site-packages/%{name}/windows/icons/%{name}.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/hotssh.png

# delete temporary files
rm -rf $RPM_BUILDROOT

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

%files
%defattr(-,root,root,0755)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*
%{_docdir}/*
%{_libdir}/python2.5/site-packages/%{name}/*
%{_sysconfdir}/profile.d/*

%changelog

* Sat Jan 10 2009 Mario Blaettermann <rpm@mandrivauser.de> 0.2.6-1mud2009.0
- initial version